//======================================================
//==将当前主目录的 Title, Description 复制到下面的 子目录， 页目录
//======================================================
function MainDirectoryCloneDown(Cultures)
{
	//----------------------------------
	//--将以 “,” 隔开的 Culture 列表变为数组
	//----------------------------------
	var aCultures=Cultures.split(",");

	//----------------------------------
	//--遍历各种文化
	//----------------------------------
	for (var i=0; i<=aCultures.length-1; i++)
	{
		//----------------------------------
		//--克隆 Title
		//----------------------------------
		document.getElementById("textSubDirectoryTitle"+aCultures[i]).value=document.getElementById("textMainDirectoryTitle"+aCultures[i]).value;
		document.getElementById("textPageDirectoryTitle"+aCultures[i]).value=document.getElementById("textMainDirectoryTitle"+aCultures[i]).value;	

		//----------------------------------
		//--克隆 Description
		//----------------------------------
		document.getElementById("textSubDirectoryDescription"+aCultures[i]).value=document.getElementById("textMainDirectoryDescription"+aCultures[i]).value;
		document.getElementById("textPageDirectoryDescription"+aCultures[i]).value=document.getElementById("textMainDirectoryDescription"+aCultures[i]).value;	
	}
}


//======================================================
//==将当前子目录的 Title, Description 复制到下面的页目录
//======================================================
function SubDirectoryCloneDown(Cultures)
{
	//----------------------------------
	//--将以 “,” 隔开的 Culture 列表变为数组
	//----------------------------------
	var aCultures=Cultures.split(",");

	//----------------------------------
	//--遍历各种文化
	//----------------------------------
	for (var i=0; i<=aCultures.length-1; i++)
	{
		//----------------------------------
		//--克隆 Title
		//----------------------------------
		document.getElementById("textPageDirectoryTitle"+aCultures[i]).value=document.getElementById("textSubDirectoryTitle"+aCultures[i]).value;	

		//----------------------------------
		//--克隆 Description
		//----------------------------------
		document.getElementById("textPageDirectoryDescription"+aCultures[i]).value=document.getElementById("textSubDirectoryDescription"+aCultures[i]).value;	
	}
}
